Index: branches/proxy/src/lib/collision_detection/cd_engine.cc
===================================================================
--- branches/proxy/src/lib/collision_detection/cd_engine.cc	(revision 9375)
+++ branches/proxy/src/lib/collision_detection/cd_engine.cc	(revision 9377)
@@ -114,5 +114,5 @@
       for(entityIterator = list1.begin(); entityIterator != list1.end(); entityIterator++)
       {
-//         PRINTF(0)("Checking: %s a %s\n", (*entityIterator)->getName(), (*entityIterator)->getClassName());
+//         PRINTF(0)("Checking: %s a %s\n", (*entityIterator)->getName(), (*entityIterator)->getClassCName());
         (dynamic_cast<BspEntity*>(*bspIterator)->getBspManager())->checkCollision(*entityIterator);
       }
Index: branches/proxy/src/lib/collision_detection/obb_tree_node.cc
===================================================================
--- branches/proxy/src/lib/collision_detection/obb_tree_node.cc	(revision 9375)
+++ branches/proxy/src/lib/collision_detection/obb_tree_node.cc	(revision 9377)
@@ -482,5 +482,5 @@
 
 //   if( distance < distanceMax)
-//     PRINTF(0)(" %s (%s: group %i) vs %s (%s: group %i): distanceMax: %f, distance: %f\n", nodeA->getClassName(), nodeA->getName(), nodeA->getOMListNumber(), nodeB->getClassName(),  nodeB->getName(), nodeB->getOMListNumber(), distanceMax, distance);
+//     PRINTF(0)(" %s (%s: group %i) vs %s (%s: group %i): distanceMax: %f, distance: %f\n", nodeA->getClassCName(), nodeA->getName(), nodeA->getOMListNumber(), nodeB->getClassCName(),  nodeB->getName(), nodeB->getOMListNumber(), distanceMax, distance);
 
 
Index: branches/proxy/src/lib/collision_reaction/collision_handle.cc
===================================================================
--- branches/proxy/src/lib/collision_reaction/collision_handle.cc	(revision 9375)
+++ branches/proxy/src/lib/collision_reaction/collision_handle.cc	(revision 9377)
@@ -232,19 +232,19 @@
 //     if(collisionEvent->getEntityB()->isA(CL_AIMING_SYSTEM) || collisionEvent->getEntityA()->isA(CL_AIMING_SYSTEM))
 //     {
-//        PRINTF(0)("I am: %s colliding with: %s\n", owner->getClassName(), collisionEvent->getEntityB()->getClassName(), *it);
+//        PRINTF(0)("I am: %s colliding with: %s\n", owner->getClassCName(), collisionEvent->getEntityB()->getClassCName(), *it);
 //        if( collisionEvent->getEntityA() == this->owner) {
-//          PRINTF(0)("I am owner -> I am: %s colliding with: %s is a %i filter?\n", owner->getClassName(),
-//          collisionEvent->getEntityB()->getClassName(), *it);
+//          PRINTF(0)("I am owner -> I am: %s colliding with: %s is a %i filter?\n", owner->getClassCName(),
+//          collisionEvent->getEntityB()->getClassCName(), *it);
 //          if( collisionEvent->getEntityB()->isA((ClassID)(*it))) {
-//            PRINTF(0)("I am owner -> I am: %s colliding with: %s is a %i filter ok\n", owner->getClassName(),
-//            collisionEvent->getEntityB()->getClassName(), *it);
+//            PRINTF(0)("I am owner -> I am: %s colliding with: %s is a %i filter ok\n", owner->getClassCName(),
+//            collisionEvent->getEntityB()->getClassCName(), *it);
 //             }
 //        }
 //        else {
-//          PRINTF(0)("I am not owner -> I am: %s colliding with: %s is a %i filter?\n", owner->getClassName(),
-//          collisionEvent->getEntityB()->getClassName(), *it);
+//          PRINTF(0)("I am not owner -> I am: %s colliding with: %s is a %i filter?\n", owner->getClassCName(),
+//          collisionEvent->getEntityB()->getClassCName(), *it);
 //          if( collisionEvent->getEntityA()->isA((ClassID)(*it))) {
-//            PRINTF(0)("I'm not owner -> I am: %s colliding with: %s is a %i filter ok\n", owner->getClassName(),
-//            collisionEvent->getEntityA()->getClassName(), *it);
+//            PRINTF(0)("I'm not owner -> I am: %s colliding with: %s is a %i filter ok\n", owner->getClassCName(),
+//            collisionEvent->getEntityA()->getClassCName(), *it);
 //             }
 //        }
@@ -282,19 +282,19 @@
 //     if(collision->getEntityB()->isA(CL_AIMING_SYSTEM) || collision->getEntityA()->isA(CL_AIMING_SYSTEM))
 //     {
-//       PRINTF(0)("Shared!!! I am: %s colliding with: %s\n", owner->getClassName(), collision->getEntityB()->getClassName(), *it);
+//       PRINTF(0)("Shared!!! I am: %s colliding with: %s\n", owner->getClassCName(), collision->getEntityB()->getClassCName(), *it);
 //       if( collision->getEntityA() == this->owner) {
-//         PRINTF(0)("I am owner -> I am: %s colliding with: %s is a %i filter?\n", owner->getClassName(),
-//         collision->getEntityB()->getClassName(), *it);
+//         PRINTF(0)("I am owner -> I am: %s colliding with: %s is a %i filter?\n", owner->getClassCName(),
+//         collision->getEntityB()->getClassCName(), *it);
 //         if( collision->getEntityB()->isA((ClassID)(*it))) {
-//           PRINTF(0)("I am owner -> I am: %s colliding with: %s is a %i filter ok\n", owner->getClassName(),
-//           collision->getEntityB()->getClassName(), *it);
+//           PRINTF(0)("I am owner -> I am: %s colliding with: %s is a %i filter ok\n", owner->getClassCName(),
+//           collision->getEntityB()->getClassCName(), *it);
 //         }
 //       }
 //       else {
-//         PRINTF(0)("I'm not owner -> I am: %s colliding with: %s is a %i filter?\n", owner->getClassName(),
-//         collision->getEntityB()->getClassName(), *it);
+//         PRINTF(0)("I'm not owner -> I am: %s colliding with: %s is a %i filter?\n", owner->getClassCName(),
+//         collision->getEntityB()->getClassCName(), *it);
 //         if( collision->getEntityA()->isA((ClassID)(*it))) {
-//           PRINTF(0)("I'm not owner -> I am: %s colliding with: %s is a %i filter ok\n", owner->getClassName(),
-//           collision->getEntityA()->getClassName(), *it);
+//           PRINTF(0)("I'm not owner -> I am: %s colliding with: %s is a %i filter ok\n", owner->getClassCName(),
+//           collision->getEntityA()->getClassCName(), *it);
 //         }
 //       }
Index: branches/proxy/src/lib/coord/p_node.cc
===================================================================
--- branches/proxy/src/lib/coord/p_node.cc	(revision 9375)
+++ branches/proxy/src/lib/coord/p_node.cc	(revision 9377)
@@ -793,5 +793,5 @@
         if (unlikely (shiftLen >= 1.0))
           shiftLen = 1.0;
-        //printf("%s::%s %f\n", this->getClassName(), this->getName(), this->toStep );
+        //printf("%s::%s %f\n", this->getClassCName(), this->getName(), this->toStep );
         Quaternion rotQuat = Quaternion::quatSlerp(this->relDirection,*this->toDirection, shiftLen);
         if (this->relDirection.distance(rotQuat) > PNODE_ITERATION_DELTA)
Index: branches/proxy/src/lib/graphics/effects/atmospheric_engine.cc
===================================================================
--- branches/proxy/src/lib/graphics/effects/atmospheric_engine.cc	(revision 9375)
+++ branches/proxy/src/lib/graphics/effects/atmospheric_engine.cc	(revision 9377)
@@ -116,5 +116,5 @@
         std::list<BaseObject*>::const_iterator it;
         for (it = weatherEffects->begin(); it != weatherEffects->end(); it++) {
-            /*      printf("%s::%s \n", (*it)->getClassName(), (*it)->getName());*/
+            /*      printf("%s::%s \n", (*it)->getClassCName(), (*it)->getName());*/
             dynamic_cast<WeatherEffect*>(*it)->tick(dt);
         }
Index: branches/proxy/src/lib/graphics/render2D/element_2d.cc
===================================================================
--- branches/proxy/src/lib/graphics/render2D/element_2d.cc	(revision 9375)
+++ branches/proxy/src/lib/graphics/render2D/element_2d.cc	(revision 9377)
@@ -104,5 +104,5 @@
       deleteNode = tmp;
       tmp++;
-      //      printf("TEST::%s(%s) %s\n", (*deleteNode)->getName(), (*deleteNode)->getClassName(), this->getName());
+      //      printf("TEST::%s(%s) %s\n", (*deleteNode)->getName(), (*deleteNode)->getClassCName(), this->getName());
       if ((this->parentMode & E2D_PROHIBIT_CHILD_DELETE) ||
           ((*deleteNode)->parentMode & E2D_PROHIBIT_DELETE_WITH_PARENT))
@@ -937,5 +937,5 @@
                  projectPos+1,
                  projectPos+2);
-      //       printf("%s::%s  == %f %f %f :: %f %f\n", this->getClassName(), this->getName(),
+      //       printf("%s::%s  == %f %f %f :: %f %f\n", this->getClassCName(), this->getName(),
       //              this->bindNode->getAbsCoor().x,
       //              this->bindNode->getAbsCoor().y,
Index: branches/proxy/src/lib/network/synchronizeable.cc
===================================================================
--- branches/proxy/src/lib/network/synchronizeable.cc	(revision 9375)
+++ branches/proxy/src/lib/network/synchronizeable.cc	(revision 9377)
@@ -326,6 +326,6 @@
       n = (*it)->readFromBuf( stateTo->data + i, stateTo->dataLength - i );
       i += n;
-      //NETPRINTF(0)("%s::setvar %s %d\n", getClassName(), (*it)->getName().c_str(), n);
-      PRINTF(0)("%s::setvar %s %d\n", getClassName().c_str(), (*it)->getName().c_str(), n);
+      //NETPRINTF(0)("%s::setvar %s %d\n", getClassCName(), (*it)->getName().c_str(), n);
+      PRINTF(0)("%s::setvar %s %d\n", getClassCName(), (*it)->getName().c_str(), n);
       //(*it)->debug();
       if ( (*it)->getHasChanged() )
@@ -338,5 +338,5 @@
 //      PRINTF(0)("DONT SET VAR BECAUSE OF PERMISSION: %s %d %d %d %d %d %d\n", (*it)->getName().c_str(), (*it)->checkPermission( PERMISSION_MASTER_SERVER ), (*it)->checkPermission( PERMISSION_OWNER ), (*it)->checkPermission( PERMISSION_ALL ), networkStream->isUserServer( userId ), this->owner, userId );
       n = (*it)->getSizeFromBuf( stateTo->data + i, stateTo->dataLength - i );
-      //NETPRINTF(0)("%s::setvar %s %d\n", getClassName(), (*it)->getName().c_str(), n);
+      //NETPRINTF(0)("%s::setvar %s %d\n", getClassCName(), (*it)->getName().c_str(), n);
       //(*it)->debug();
       i += n;
Index: branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_ip.cc
===================================================================
--- branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_ip.cc	(revision 9375)
+++ branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_ip.cc	(revision 9377)
@@ -89,5 +89,4 @@
   *this->vPtrOut = IP(host, port);
 
-  printf(" %s old: %i, %i -- new: %i, %i\n", name.c_str(), oldVal.host(), oldVal.port(), this->vPtrOut->host(), this->vPtrOut->port());
   this->setHasChanged( *this->vPtrOut != oldVal);
 
Index: branches/proxy/src/lib/network/tcp_socket.h
===================================================================
--- branches/proxy/src/lib/network/tcp_socket.h	(revision 9375)
+++ branches/proxy/src/lib/network/tcp_socket.h	(revision 9377)
@@ -16,5 +16,5 @@
 #define _INCOMING_BUFFER_SIZE 2024000
 #define _OUTGOING_BUFFER_SIZE 2024000
-#define _LOCAL_BUFFER_SIZE 1024
+#define _LOCAL_BUFFER_SIZE 2048
 //sleep if incoming buffer is full
 #define _MSECONDS_SLEEP_FULL_BUFFER 10
Index: branches/proxy/src/lib/physics/physics_interface.cc
===================================================================
--- branches/proxy/src/lib/physics/physics_interface.cc	(revision 9375)
+++ branches/proxy/src/lib/physics/physics_interface.cc	(revision 9377)
@@ -68,5 +68,5 @@
     {
     // todo: find out if children are PhysicsInterface in an efficient way
-    if (strcmp( pn->getClassName(), "PhysicsInterface")) {
+    if (strcmp( pn->getClassCName(), "PhysicsInterface")) {
     massSum += ((PhysicsInterface*)pn)->getTotalMass();
     }
@@ -77,5 +77,5 @@
     if (massSum != this->massChildren ) {
     this->massChildren = massSum;
-    if (strcmp( massCalcPNode->parent->getClassName(), "PhysicsInterface"))
+    if (strcmp( massCalcPNode->parent->getClassCName(), "PhysicsInterface"))
     ((PhysicsInterface*)massCalcPNode->parent)->recalcMass();
     } else {
Index: branches/proxy/src/lib/util/loading/load_param.cc
===================================================================
--- branches/proxy/src/lib/util/loading/load_param.cc	(revision 9375)
+++ branches/proxy/src/lib/util/loading/load_param.cc	(revision 9377)
@@ -164,5 +164,5 @@
 {
     // locating the class
-    this->classDesc = LoadClassDescription::addClass(object->getClassName());
+    this->classDesc = LoadClassDescription::addClass(object->getClassCName());
 
     if ((this->paramDesc = this->classDesc->addParam(paramName)) != NULL)
Index: branches/proxy/src/story_entities/game_world_data.cc
===================================================================
--- branches/proxy/src/story_entities/game_world_data.cc	(revision 9375)
+++ branches/proxy/src/story_entities/game_world_data.cc	(revision 9377)
@@ -289,5 +289,5 @@
       //    ClassList::debug( 3, CL_PARENT_NODE);
       //    PNode::getNullParent()->debugNode(0);
-      //    printf("%s::%s\n", nodeList->front()->getClassName(), nodeList->front()->getName());
+      //    printf("%s::%s\n", nodeList->front()->getClassCName(), nodeList->front()->getName());
       delete nodeList->front();
     }
Index: branches/proxy/src/util/fast_factory.cc
===================================================================
--- branches/proxy/src/util/fast_factory.cc	(revision 9375)
+++ branches/proxy/src/util/fast_factory.cc	(revision 9377)
@@ -188,5 +188,5 @@
 /*  if (this->storedDeadObjects + this->storedLivingObjects >= count)
   {
-  PRINTF(3)("not creating new Objects for class %s, because the requested count already exists\n", this->getClassName());
+  PRINTF(3)("not creating new Objects for class %s, because the requested count already exists\n", this->getClassCName());
 }*/
   for (unsigned int i = this->storedDeadObjects; i < count; i++)
Index: branches/proxy/src/util/hud.cc
===================================================================
--- branches/proxy/src/util/hud.cc	(revision 9375)
+++ branches/proxy/src/util/hud.cc	(revision 9377)
@@ -155,5 +155,5 @@
       if (weapon != NULL)
       {
-        //PRINTF(0)("WEAPON %s::%s in Slots\n", weapon->getClassName(), weapon->getName());
+        //PRINTF(0)("WEAPON %s::%s in Slots\n", weapon->getClassCName(), weapon->getName());
         weapon->getEnergyWidget()->show();
         weapon->getEnergyWidget()->setBackgroundColor(Color(.8,.2,.11, 0.1));
@@ -215,5 +215,5 @@
     (*weaponWidget)->setWidgetSize(.02*this->resX, .1 *this->resY);
     (*weaponWidget)->show();
-    //printf("update thing %s::%s\n", (*weaponWidget)->getClassName(), (*weaponWidget)->getName());
+    //printf("update thing %s::%s\n", (*weaponWidget)->getClassCName(), (*weaponWidget)->getName());
   }
 }
Index: branches/proxy/src/world_entities/creatures/fps_player.cc
===================================================================
--- branches/proxy/src/world_entities/creatures/fps_player.cc	(revision 9375)
+++ branches/proxy/src/world_entities/creatures/fps_player.cc	(revision 9377)
@@ -276,5 +276,5 @@
 //     if( target != NULL)
 //     {
-//       PRINTF(0)("hit hit hit, got: %s\n", target->getClassName());
+//       PRINTF(0)("hit hit hit, got: %s\n", target->getClassCName());
 //     }
 //     else
Index: branches/proxy/src/world_entities/power_ups/laser_power_up.cc
===================================================================
--- branches/proxy/src/world_entities/power_ups/laser_power_up.cc	(revision 9375)
+++ branches/proxy/src/world_entities/power_ups/laser_power_up.cc	(revision 9377)
@@ -78,5 +78,5 @@
 void LaserPowerUp::collidesWith(WorldEntity* entity, const Vector& location)
 {
- // PRINTF(3)("collision %s vs %s @ (%f,%f,%f)\n", this->getClassName(), entity->getClassName(), location.x, location.y, location.z);
+ // PRINTF(3)("collision %s vs %s @ (%f,%f,%f)\n", this->getClassCName(), entity->getClassCName(), location.x, location.y, location.z);
  if (entity->isA(CL_PLAYABLE))
   this->toList(OM_DEAD);
Index: branches/proxy/src/world_entities/power_ups/turret_power_up.cc
===================================================================
--- branches/proxy/src/world_entities/power_ups/turret_power_up.cc	(revision 9375)
+++ branches/proxy/src/world_entities/power_ups/turret_power_up.cc	(revision 9377)
@@ -74,5 +74,5 @@
 void TurretPowerUp::collidesWith(WorldEntity* entity, const Vector& location)
 {
- // PRINTF(3)("collision %s vs %s @ (%f,%f,%f)\n", this->getClassName(), entity->getClassName(), location.x, location.y, location.z);
+ // PRINTF(3)("collision %s vs %s @ (%f,%f,%f)\n", this->getClassCName(), entity->getClassCName(), location.x, location.y, location.z);
  if (entity->isA(CL_PLAYABLE))
    this->toList(OM_DEAD);
Index: branches/proxy/src/world_entities/weapons/aiming_system.cc
===================================================================
--- branches/proxy/src/world_entities/weapons/aiming_system.cc	(revision 9375)
+++ branches/proxy/src/world_entities/weapons/aiming_system.cc	(revision 9377)
@@ -115,5 +115,5 @@
   if( this->owner != killer)
   {
-    //PRINTF(0)("real hit: %s\n", killer->getClassName());
+    //PRINTF(0)("real hit: %s\n", killer->getClassCName());
     this->selectionList.push_back(killer);
   }
Index: branches/proxy/src/world_entities/weapons/weapon.cc
===================================================================
--- branches/proxy/src/world_entities/weapons/weapon.cc	(revision 9375)
+++ branches/proxy/src/world_entities/weapons/weapon.cc	(revision 9377)
@@ -313,5 +313,5 @@
   {
     this->energyWidget = new OrxGui::GLGuiEnergyWidget();
-    this->energyWidget->setDisplayedName(this->getClassName());
+    this->energyWidget->setDisplayedName(this->getClassCName());
     this->energyWidget->setSize2D( 20, 100);
     this->energyWidget->setMaximum(this->getEnergyMax());
Index: branches/proxy/src/world_entities/world_entity.cc
===================================================================
--- branches/proxy/src/world_entities/world_entity.cc	(revision 9375)
+++ branches/proxy/src/world_entities/world_entity.cc	(revision 9377)
@@ -506,5 +506,5 @@
    * You can always define a default Action.... don't be affraid just test it :)
    */
-  //  PRINTF(3)("collision %s vs %s @ (%f,%f,%f)\n", this->getClassName(), entity->getClassName(), location.x, location.y, location.z);
+  //  PRINTF(3)("collision %s vs %s @ (%f,%f,%f)\n", this->getClassCName(), entity->getClassCName(), location.x, location.y, location.z);
 }
 
@@ -524,5 +524,5 @@
 {
 
-  // PRINTF(0)("BSP_GROUND: Player collides \n", this->getClassName() );
+  // PRINTF(0)("BSP_GROUND: Player collides \n", this->getClassCName() );
 
   Vector v = this->getAbsDirX();
@@ -594,5 +594,5 @@
 void WorldEntity::draw() const
 {
-  //PRINTF(0)("(%s::%s)\n", this->getClassName(), this->getName());
+  //PRINTF(0)("(%s::%s)\n", this->getClassCName(), this->getName());
   //  assert(!unlikely(this->models.empty()));
   {