Index: /branches/proxy/AUTHORS
===================================================================
--- /branches/proxy/AUTHORS	(revision 9379)
+++ /branches/proxy/AUTHORS	(revision 9380)
@@ -1,16 +1,24 @@
 orxonox-crew: <orxonox-dev@mail.datacore.ch>
 
+------------
 Maintainers:
+------------
 Patrick Boenzli <patrick@orxonox.ethz.ch>
 Benjamin Grauer <bensch@orxonox.ethz.ch>
 
-Developers:
+------------------
+Developers/Coders:
+------------------
+Adrian Buerli
+Andreas Maechler
+Benjamin Knecht
+Benjamin Wuest
 Christian Meyer
+Christoph Renner
+Claudio Botta
 David Gruetter
-
-Coders:
+David Hasenfratz
+Johannes Bader
+Silvan Nellen
 Simon Hofmann
-Johannes Bader
-Adrian Buerli
-
-
+Stefan Lienhard
Index: /branches/proxy/CODING-STANDARDS
===================================================================
--- /branches/proxy/CODING-STANDARDS	(revision 9379)
+++ /branches/proxy/CODING-STANDARDS	(revision 9380)
@@ -22,5 +22,5 @@
      you are just bugfixing or extending write it under co-programmer.
 
-  c) Every element of the must be documented with doxygen-tags.
+  c) Every element of the code must be documented with doxygen-tags (see 1.2).
 
 1.2.Doxygen Tags:
@@ -29,5 +29,5 @@
 most of the time they extend the /* or // with a second star or a !
 
-  a) h-files: 
+  a) h-files:
    1) every h-file you want to be documented you have to tag. (tag looks like /*! \file somefile */ )
    2) every class has to be Documented. ( //! what it does)
@@ -38,5 +38,5 @@
 
   c) look out for this: Doxygen parses preprocessor arguments,
-     so if some comments is excluded by a #ifdef, #endif 
+     so if some comments is excluded by a #ifdef, #endif
      doxygen will not parse it. And ther will be nothing in the docu.
 
@@ -80,39 +80,43 @@
 -----------
 /*!
-  \file someclass.h
-  \brief Some short description of the someclass
-  \todo maybe there remains something to do in this entire file
-
-  Here comes a longer description
-  this can also be longer than one line
-*/
+ * @file someclass.h
+ * @brief Some short description of the someclass
+ * @todo maybe there remains something to do in this entire file
+ *
+ * Here comes a longer description
+ * this can also be longer than one line
+ */
 
 #ifndef _SOMECLASS_H
 #define _SOMECLASS_H
 
-#include <many_headers>
-#include "stdincl.h"
+#include "project_headers"
+#include <many_external_headers>
 
 //! short description of the class
 /**
-  \todo what remains to be done here
-
-   longer description
-*/
+ * @todo what remains to be done here
+ *
+ * longer description
+ */
 class SomeClass
 {
-  private:
-   int usefull_variable;
-   int cool_variable; //!< this variable is cool, because...
+  public: /* functions */
+   SomeClass();
+   ~SomeClass();
 
-  protected:
-    char* someOtherMember;
+   int mightyFunction(const std::string& name, int value);
 
-  public:
-   SomeClass (void);
-   ~SomeClass (void);
-   
-   int mightyFunction (char* name, int value);
-//....
+  private: /* functions */
+   void recompileInternalState();
+
+  protected: /* variables */
+    std::string someOtherMember; //!< some member, that can be touched by derived classes.
+
+  private: /* variables */
+   int usefullVariable;    //!< Usefull because
+   int coolVariable;       //!< this variable is cool, because...
+
+
 };
 
@@ -128,5 +132,5 @@
 ------------
 
-/* 
+/*
    orxonox - the future of 3D-vertical-scrollers
 
@@ -139,5 +143,5 @@
 
    ### File Specific:
-   main-programmer: The Name of Myself
+   main-programmer: The Name of the author
    co-programmer: ...
 */
@@ -147,9 +151,9 @@
 
 /**
-   \brief <a brief description>
-   \todo I think you get it.
-
-   <more description>
-*/
+ * @brief <a brief description>
+ * @todo I think you get it.
+ *
+ * <more description>
+ */
 SomeClass::SomeClass (void)
 {
@@ -158,8 +162,8 @@
 
 /**
-   \brief <a brief description>
-   \todo if something is not destructed it will be here
-
-   <more description>
+ * @brief <a brief description>
+ * @todo if something is not destructed it will be here
+ *
+ * <more description>
 */
 ~SomeClass::~SomeClass (void)
@@ -169,12 +173,12 @@
 
 /**
-   \brief <a brief description>
-   \param name <what is this parameter for>
-   \param valuse <what for...>
-   \returns <what it returns>
-
-   <more description>
-*/
-int SomeClass::mightyFuncion (char* name, int value)
+ * @brief <a brief description>
+ * @param name <what is this parameter for>
+ * @param valuse <what for...>
+ * @returns <what it returns>
+ *
+ *  <more description>
+ */
+int SomeClass::mightyFuncion (const std::string& name, int value)
 {
   this->coolVariable = value;
@@ -182,3 +186,3 @@
 }
 
-// ...
+// ... i think you get it :)