Index: /branches/proxy/src/lib/network/ip.cc
===================================================================
--- /branches/proxy/src/lib/network/ip.cc	(revision 9384)
+++ /branches/proxy/src/lib/network/ip.cc	(revision 9385)
@@ -32,5 +32,5 @@
 IP::IP()
 {
-  this->_ip = 0;
+  this->_host = 0;
   this->_port = IP::_defaultPort;
 }
@@ -45,5 +45,5 @@
 IP::IP(int ip, int port)
 {
-  this->_ip = ip;
+  this->_host = ip;
   if (port != -1)
     this->_port = port;
@@ -84,5 +84,5 @@
 IP::IP(const IPaddress& ip)
 {
-  this->_ip = ip.host;
+  this->_host = ip.host;
   this->_port = ip.port;
 }
@@ -98,4 +98,24 @@
   *this = ip;
 }
+
+
+/**
+ * @brief constructs an IP out of the four pairs and a Port.
+ * @param first The first octal.
+ * @param second The second octal.
+ * @param third The third octal.
+ * @param fourth The fourth octal.
+ * @param port The Port.
+ * @return self.
+ */
+IP::IP(unsigned int first, unsigned int second, unsigned int third, unsigned int fourth, int port)
+{
+  this->_host = (first << 24) +
+                (second << 16) +
+                (third <<  8) +
+                fourth;
+  this->_port = port;
+}
+
 
 /**
@@ -106,5 +126,5 @@
 const IP& IP::operator=(const IP& ip)
 {
-  this->_ip = ip.host();
+  this->_host = ip.host();
   this->_port = ip.port();
   return *this;
@@ -119,5 +139,5 @@
 const IP& IP::operator=(const IPaddress& ip)
 {
-  this->_ip = ip.host;
+  this->_host = ip.host;
   this->_port = ip.port;
   return *this;
@@ -132,5 +152,5 @@
 bool IP::operator==(const IP& ip) const
 {
-  return (this->_ip == ip.host() &&
+  return (this->_host == ip.host() &&
           this->_port == ip.port());
 }
@@ -144,6 +164,6 @@
 bool IP::operator!=(const IP& ip) const
 {
-  return (this->_ip != ip.host() ||
-      this->_port != ip.port());
+  return (this->_host != ip.host() ||
+          this->_port != ip.port());
 }
 
@@ -199,11 +219,11 @@
   {
     case 0:
-      return  (_ip & 0xFF000000) >> 24;
+      return  (_host & 0xFF000000) >> 24;
     case 1:
-      return  (_ip & 0x00FF0000) >> 16;
+      return  (_host & 0x00FF0000) >> 16;
     case 2:
-      return  (_ip & 0x0000FF00) >> 8;
+      return  (_host & 0x0000FF00) >> 8;
     case 3:
-      return  (_ip & 0x000000FF);
+      return  (_host & 0x000000FF);
     default:
       return -1;
@@ -217,5 +237,5 @@
 std::string IP::ipString() const
 {
-  return IP::ipToString(this->_ip, this->_port);
+  return IP::ipToString(this->_host, this->_port);
 }
 
Index: /branches/proxy/src/lib/network/ip.h
===================================================================
--- /branches/proxy/src/lib/network/ip.h	(revision 9384)
+++ /branches/proxy/src/lib/network/ip.h	(revision 9385)
@@ -26,4 +26,5 @@
     IP(const IPaddress& ip);
     IP(const IP& ip);
+    IP(unsigned int first, unsigned int second, unsigned int third, unsigned int fourth, int port = IP::_defaultPort);
 
     /// OPERATORS
@@ -35,11 +36,11 @@
     /// RETRIVEAL
     /** @returns the IP */
-    int host() const { return this->_ip; };
-    int* hostRef()  { return &this->_ip; }
+    int host() const { return this->_host; };
+    int* hostRef()  { return &this->_host; }
     /** @returns the Port */
     int port() const { return this->_port; };
     int* portRef() { return &this->_port; };
 
-    inline IPaddress getSDLNotation() { IPaddress sdlIP; sdlIP.host = this->_ip; sdlIP.port = this->_port; return sdlIP; }
+    inline IPaddress getSDLNotation() { IPaddress sdlIP; sdlIP.host = this->_host; sdlIP.port = this->_port; return sdlIP; }
 
     int ipPart(unsigned int part) const;
@@ -59,8 +60,8 @@
 
   private:
-    int           _ip;           //!< The IP in int form.
-    int         _port;         //!< The Port number of the IP
+    int           _host;           //!< The IP in int form.
+    int           _port;         //!< The Port number of the IP
 
-    static int  _defaultPort;  //!< Default Port
+    static int    _defaultPort;  //!< Default Port
 };
 
Index: /branches/proxy/src/util/network_stats_widget.cc
===================================================================
--- /branches/proxy/src/util/network_stats_widget.cc	(revision 9384)
+++ /branches/proxy/src/util/network_stats_widget.cc	(revision 9385)
@@ -52,4 +52,5 @@
   : _proxyWidget(proxyName, ip)
   {
+    this->_clientNameWidth = 100.0f;
     this->pack(&_proxyWidget);
   }
@@ -58,4 +59,5 @@
   {
     HostWidget* newClient = new HostWidget(name, ip);
+    newClient->setNameWidth(this->_clientNameWidth);
 
     this->pack(newClient);
@@ -112,4 +114,11 @@
 
 
+  void ProxyWidget::setClientNameWidths(float width)
+  {
+    this->_clientNameWidth = width;
+    for (unsigned int i = 0; i < this->_clients.size(); ++i)
+      this->_clients[i]->setNameWidth(width);
+  }
+
   void ProxyWidget::hiding()
   {
@@ -135,5 +144,5 @@
    */
   NetworkStatsWidget::NetworkStatsWidget ()
-      : GLGuiBox(Vertical)
+  : GLGuiBox(Vertical), _thisHost("myName", IP(127, 0, 0 , 0))
   {
     //   this->setClassID(CL_PROTO_ID, "NetworkStatsWidget");
Index: /branches/proxy/src/util/network_stats_widget.h
===================================================================
--- /branches/proxy/src/util/network_stats_widget.h	(revision 9384)
+++ /branches/proxy/src/util/network_stats_widget.h	(revision 9385)
@@ -53,4 +53,6 @@
       bool removeClient(const std::string& name, const IP& ip);
 
+      void setClientNameWidths(float width);
+
 
     protected:
@@ -63,4 +65,5 @@
 
       std::vector<HostWidget*>  _clients;
+      float            _clientNameWidth;
   };
 
@@ -92,11 +95,10 @@
 
     private:
-      IP                     _ip;
-      GLGuiText              _ipText;
+      HostWidget             _thisHost;
 
       GLGuiText              _upstreamText;
       GLGuiText              _downstreamText;
 
-      std::vector<GLGuiText> _connectedHosts;
+      std::vector<HostWidget*>_connectedProxies;
 
       GLGuiText              _serverIP;