Index: branches/proxy/src/lib/coord/p_node.cc
===================================================================
--- branches/proxy/src/lib/coord/p_node.cc	(revision 9385)
+++ branches/proxy/src/lib/coord/p_node.cc	(revision 9386)
@@ -21,4 +21,6 @@
 #include "class_list.h"
 
+#include "netdefs.h"
+
 #include <algorithm>
 #include "compiler.h"
@@ -27,6 +29,4 @@
 #include "glincl.h"
 #include "color.h"
-
-#include "synchronizeable.h"
 
 /**
Index: branches/proxy/src/lib/lang/base_object.h
===================================================================
--- branches/proxy/src/lib/lang/base_object.h	(revision 9385)
+++ branches/proxy/src/lib/lang/base_object.h	(revision 9386)
@@ -15,7 +15,7 @@
 
 #include "class_id.h"
+#include "sigslot/slot.h"
+
 #include <string>
-
-#include "sigslot/slot.h"
 
 class TiXmlNode;
Index: branches/proxy/src/lib/network/Makefile.am
===================================================================
--- branches/proxy/src/lib/network/Makefile.am	(revision 9385)
+++ branches/proxy/src/lib/network/Makefile.am	(revision 9386)
@@ -47,44 +47,45 @@
 
 
-noinst_HEADERS = synchronizeable.h \
-                 network_manager.h \
-                 shared_network_data.h \
-                 network_socket.h \
-		 network_stream.h \
-                 data_stream.h \
-                 network_protocol.h \
-		 server_socket.h \
-		 tcp_server_socket.h \
-		 tcp_socket.h \
-		 udp_server_socket.h \
-		 udp_socket.h \
-		 handshake.h \
-		 network_game_manager.h \
-		 converter.h \
-		 peer_info.h \
-		 netdefs.h \
-		 message_manager.h \
-		 network_log.h \
-		 zip.h \
-		 player_stats.h \
-		 udp_broadcast.h \
-		 \
-		 proxy/proxy_settings.cc \
-		 \
-                 monitor/connection_monitor.h \
-                 monitor/network_monitor.h \
-                 monitor/network_node.h \
-		 \
-		 synchronizeable_var/synchronizeable_var.h \
-		 synchronizeable_var/synchronizeable_vector.h \
-		 synchronizeable_var/synchronizeable_int.h \
-		 synchronizeable_var/synchronizeable_quaternion.h \
-		 synchronizeable_var/synchronizeable_string.h \
-		 synchronizeable_var/synchronizeable_float.h \
-		 synchronizeable_var/synchronizeable_bool.h \
-		 synchronizeable_var/synchronizeable_uint.h \
-		 synchronizeable_var/synchronizeable_ip.h \
-		 \
-		 ip.h
-
-
+noinst_HEADERS = \
+		netdefs.h \
+		net_types.h \
+		synchronizeable.h \
+                network_manager.h \
+                shared_network_data.h \
+                network_socket.h \
+		network_stream.h \
+                data_stream.h \
+                network_protocol.h \
+		server_socket.h \
+		tcp_server_socket.h \
+		tcp_socket.h \
+		udp_server_socket.h \
+		udp_socket.h \
+		handshake.h \
+		network_game_manager.h \
+		converter.h \
+		peer_info.h \
+		netdefs.h \
+		message_manager.h \
+		network_log.h \
+		zip.h \
+		player_stats.h \
+		udp_broadcast.h \
+		\
+		proxy/proxy_settings.cc \
+		\
+                monitor/connection_monitor.h \
+                monitor/network_monitor.h \
+                monitor/network_node.h \
+		\
+		synchronizeable_var/synchronizeable_var.h \
+		synchronizeable_var/synchronizeable_vector.h \
+		synchronizeable_var/synchronizeable_int.h \
+		synchronizeable_var/synchronizeable_quaternion.h \
+		synchronizeable_var/synchronizeable_string.h \
+		synchronizeable_var/synchronizeable_float.h \
+		synchronizeable_var/synchronizeable_bool.h \
+		synchronizeable_var/synchronizeable_uint.h \
+		synchronizeable_var/synchronizeable_ip.h \
+		\
+		ip.h
Index: branches/proxy/src/lib/network/message_manager.cc
===================================================================
--- branches/proxy/src/lib/network/message_manager.cc	(revision 9385)
+++ branches/proxy/src/lib/network/message_manager.cc	(revision 9386)
@@ -20,4 +20,6 @@
 #include "network_stream.h"
 #include "shared_network_data.h"
+#include "converter.h"
+#include <cassert>
 
 
Index: branches/proxy/src/lib/network/net_types.h
===================================================================
--- branches/proxy/src/lib/network/net_types.h	(revision 9386)
+++ branches/proxy/src/lib/network/net_types.h	(revision 9386)
@@ -0,0 +1,7 @@
+
+#ifndef __NET_TYPES_H_
+#define __NET_TYPES_H_
+
+typedef unsigned char byte;
+
+#endif /* __NET_TYPES_H */
Index: branches/proxy/src/lib/network/netdefs.h
===================================================================
--- branches/proxy/src/lib/network/netdefs.h	(revision 9385)
+++ branches/proxy/src/lib/network/netdefs.h	(revision 9386)
@@ -22,7 +22,8 @@
  */
 
-#ifndef _NETDEFS
-#define _NETDEFS
+#ifndef _NETDEFS_H
+#define _NETDEFS_H
 
+#include "net_types.h"
 
 #ifdef HAVE_SDL_NET_H
@@ -46,7 +47,4 @@
 //!< orxonox network version identifier
 #define _ORXONOX_VERSION   1
-
-
-typedef unsigned char byte;
 
 
@@ -75,3 +73,3 @@
 } UidType;
 
-#endif /* _NETWORK_MANAGER */
+#endif /* _NETDEFS_H */
Index: branches/proxy/src/lib/network/network_stream.cc
===================================================================
--- branches/proxy/src/lib/network/network_stream.cc	(revision 9385)
+++ branches/proxy/src/lib/network/network_stream.cc	(revision 9386)
@@ -51,5 +51,6 @@
 
 
-
+/// TODO @THIS IS FOR THE INTSIZE
+#include "converter.h"
 
 
Index: branches/proxy/src/lib/network/player_stats.cc
===================================================================
--- branches/proxy/src/lib/network/player_stats.cc	(revision 9385)
+++ branches/proxy/src/lib/network/player_stats.cc	(revision 9386)
@@ -22,4 +22,6 @@
 #include "state.h"
 #include "shared_network_data.h"
+
+#include "converter.h"
 
 #include "preferences.h"
Index: branches/proxy/src/lib/network/synchronizeable.cc
===================================================================
--- branches/proxy/src/lib/network/synchronizeable.cc	(revision 9385)
+++ branches/proxy/src/lib/network/synchronizeable.cc	(revision 9386)
@@ -28,4 +28,6 @@
 
 #include "synchronizeable.h"
+
+#include "converter.h"
 
 
Index: branches/proxy/src/lib/network/synchronizeable.h
===================================================================
--- branches/proxy/src/lib/network/synchronizeable.h	(revision 9385)
+++ branches/proxy/src/lib/network/synchronizeable.h	(revision 9386)
@@ -1,5 +1,5 @@
 /*!
  * @file synchronizeable.h
-    \brief interface for all classes that have to be synchronized
+ * @brief interface for all classes that have to be synchronized
  */
 
@@ -8,8 +8,5 @@
 
 #include "base_object.h"
-#include "netdefs.h"
-#include "converter.h"
-#include "vector.h"
-#include "quaternion.h"
+
 #include "synchronizeable_var/synchronizeable_var.h"
 #include "synchronizeable_var/synchronizeable_vector.h"
@@ -21,5 +18,4 @@
 #include "synchronizeable_var/synchronizeable_uint.h"
 #include "synchronizeable_var/synchronizeable_ip.h"
-
 
 #include <vector>
Index: branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_bool.cc
===================================================================
--- branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_bool.cc	(revision 9385)
+++ branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_bool.cc	(revision 9386)
@@ -16,4 +16,5 @@
 
 #include "synchronizeable_bool.h"
+#include <cassert>
 
 
@@ -44,7 +45,7 @@
 {
   assert( maxLength >= 1 );
-  
+
   buf[0] = ( *vPtrIn ) ? 1 : 0;
-  
+
   return 1;
 }
@@ -59,11 +60,11 @@
 {
   assert( maxLength >= 1 );
-  
+
   bool oldVal = *vPtrOut;
-  
+
   *vPtrOut = buf[0] != 0;
-  
+
   setHasChanged( oldVal != *vPtrOut );
-  
+
   return 1;
 }
Index: branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_bool.h
===================================================================
--- branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_bool.h	(revision 9385)
+++ branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_bool.h	(revision 9386)
@@ -2,10 +2,10 @@
  * @file synchronizeable_int.h
  * @brief Definition of SynchronizeableInt
-*/
-
-#include "synchronizeable_var/synchronizeable_var.h"
+ */
 
 #ifndef _SYNCHRONIZEABLE_BOOL_H
 #define _SYNCHRONIZEABLE_BOOL_H
+
+#include "synchronizeable_var.h"
 
 class SynchronizeableBool : public SynchronizeableVar {
@@ -14,8 +14,8 @@
     SynchronizeableBool( bool * ptrIn, bool * ptrOut, std::string name, int permission = PERMISSION_MASTER_SERVER, int priority = 0 );
     virtual ~SynchronizeableBool();
-    
+
     virtual int writeToBuf( byte * buf, int maxLength );
     virtual int readFromBuf( byte * buf, int maxLength );
-    
+
     /**
      * check if writeToBuf will return the same size every time
@@ -23,7 +23,7 @@
      */
     virtual bool hasStaticSize(){ return true; };
-    
+
     virtual void debug();
-    
+
   private:
     bool * vPtrIn;       //!< pointer to data (read)
Index: branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_float.cc
===================================================================
--- branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_float.cc	(revision 9385)
+++ branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_float.cc	(revision 9386)
@@ -17,4 +17,5 @@
 #include "synchronizeable_float.h"
 #include "converter.h"
+#include <cassert>
 
 
@@ -46,7 +47,7 @@
 {
   int res = Converter::floatToByteArray( *vPtrIn, buf, maxLength );
-  
+
   assert( res == FLOATSIZE );
-  
+
   return res;
 }
@@ -61,13 +62,13 @@
 {
   assert( maxLength >= FLOATSIZE );
-  
+
   float oldVal = *vPtrOut;
-  
+
   int res = Converter::byteArrayToFloat( buf, vPtrOut );
-  
+
   setHasChanged( oldVal != *vPtrOut );
-  
+
   assert( res == FLOATSIZE );
-  
+
   return res;
 }
Index: branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_float.h
===================================================================
--- branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_float.h	(revision 9385)
+++ branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_float.h	(revision 9386)
@@ -2,10 +2,11 @@
  * @file synchronizeable_float.h
  * @brief Definition of SynchronizeableFloat
-*/
+ */
 
-#include "synchronizeable_var/synchronizeable_var.h"
 
 #ifndef _SYNCHRONIZEABLE_FLOAT_H
 #define _SYNCHRONIZEABLE_FLOAT_H
+
+#include "synchronizeable_var.h"
 
 class SynchronizeableFloat : public SynchronizeableVar {
@@ -14,8 +15,8 @@
     SynchronizeableFloat( float * ptrIn, float * ptrOut, std::string name, int permission = PERMISSION_MASTER_SERVER, int priority = 0 );
     virtual ~SynchronizeableFloat();
-    
+
     virtual int writeToBuf( byte * buf, int maxLength );
     virtual int readFromBuf( byte * buf, int maxLength );
-        
+
     /**
      * check if writeToBuf will return the same size every time
@@ -23,7 +24,7 @@
      */
     virtual bool hasStaticSize(){ return true; };
-    
+
     virtual void debug();
-    
+
   private:
     float * vPtrIn;       //!< pointer to data (read)
Index: branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_int.cc
===================================================================
--- branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_int.cc	(revision 9385)
+++ branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_int.cc	(revision 9386)
@@ -18,4 +18,5 @@
 #include "converter.h"
 
+#include <cassert>
 
 /**
@@ -46,7 +47,7 @@
 {
   int res = Converter::intToByteArray( *vPtrIn, buf, maxLength );
-  
+
   assert( res == INTSIZE );
-  
+
   return res;
 }
@@ -61,13 +62,13 @@
 {
   assert( maxLength >= INTSIZE );
-  
+
   int oldVal = *vPtrOut;
-  
+
   int res = Converter::byteArrayToInt( buf, vPtrOut );
-  
+
   setHasChanged( oldVal != *vPtrOut );
-  
+
   assert( res == INTSIZE );
-  
+
   return res;
 }
Index: branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_int.h
===================================================================
--- branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_int.h	(revision 9385)
+++ branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_int.h	(revision 9386)
@@ -4,8 +4,9 @@
 */
 
-#include "synchronizeable_var/synchronizeable_var.h"
 
 #ifndef _SYNCHRONIZEABLE_INT_H
 #define _SYNCHRONIZEABLE_INT_H
+
+#include "synchronizeable_var.h"
 
 class SynchronizeableInt : public SynchronizeableVar {
@@ -14,8 +15,8 @@
     SynchronizeableInt( int * ptrIn, int * ptrOut, std::string name, int permission = PERMISSION_MASTER_SERVER, int priority = 0 );
     virtual ~SynchronizeableInt();
-    
+
     virtual int writeToBuf( byte * buf, int maxLength );
     virtual int readFromBuf( byte * buf, int maxLength );
-    
+
     /**
      * check if writeToBuf will return the same size every time
@@ -23,7 +24,7 @@
      */
     virtual bool hasStaticSize(){ return true; };
-    
+
     virtual void debug();
-    
+
   protected:
     int * vPtrIn;       //!< pointer to data (read)
Index: branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_ip.cc
===================================================================
--- branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_ip.cc	(revision 9385)
+++ branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_ip.cc	(revision 9386)
@@ -16,5 +16,7 @@
 #include "synchronizeable_ip.h"
 #include "converter.h"
-// #include "ip.h"
+#include "netdefs.h"
+#include "ip.h"
+#include <cassert>
 
 /**
Index: branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_ip.h
===================================================================
--- branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_ip.h	(revision 9385)
+++ branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_ip.h	(revision 9386)
@@ -4,13 +4,11 @@
 */
 
-#include "synchronizeable_var/synchronizeable_var.h"
 
 #ifndef _SYNCHRONIZEABLE_IP_H
 #define _SYNCHRONIZEABLE_IP_H
 
-#include "vector.h"
+#include "synchronizeable_var.h"
 
-#include "netdefs.h"
-#include "ip.h"
+class IP;
 
 class SynchronizeableIP : public SynchronizeableVar {
Index: branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_quaternion.cc
===================================================================
--- branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_quaternion.cc	(revision 9385)
+++ branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_quaternion.cc	(revision 9386)
@@ -17,4 +17,5 @@
 #include "synchronizeable_quaternion.h"
 #include "converter.h"
+#include <cassert>
 
 
@@ -98,9 +99,9 @@
   assert( res > 0 );
   n += res;
-  
+
   Quaternion oldVal = *vPtrOut;
 
   *vPtrOut = Quaternion( Vector(x, y, z), w );
-  
+
   setHasChanged( ! ( oldVal == *vPtrOut ) );
 
Index: branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_quaternion.h
===================================================================
--- branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_quaternion.h	(revision 9385)
+++ branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_quaternion.h	(revision 9386)
@@ -4,8 +4,8 @@
 */
 
-#include "synchronizeable_var/synchronizeable_var.h"
-
 #ifndef _SYNCHRONIZEABLE_QUATERNION_H
 #define _SYNCHRONIZEABLE_QUATERNION_H
+
+#include "synchronizeable_var.h"
 
 #include "quaternion.h"
@@ -16,8 +16,8 @@
     SynchronizeableQuaternion( Quaternion * ptrIn, Quaternion * ptrOut, std::string name, int permission = PERMISSION_MASTER_SERVER, int priority = 0 );
     virtual ~SynchronizeableQuaternion();
-    
+
     virtual int writeToBuf( byte * buf, int maxLength );
     virtual int readFromBuf( byte * buf, int maxLength );
-        
+
     /**
      * check if writeToBuf will return the same size every time
@@ -25,7 +25,7 @@
      */
     virtual bool hasStaticSize(){ return true; };
-    
+
     virtual void debug();
-    
+
   private:
     Quaternion * vPtrIn;       //!< pointer to data (read)
Index: branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_string.cc
===================================================================
--- branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_string.cc	(revision 9385)
+++ branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_string.cc	(revision 9386)
@@ -17,4 +17,5 @@
 #include "synchronizeable_string.h"
 #include "converter.h"
+#include <cassert>
 
 
@@ -46,9 +47,14 @@
 {
   int res = Converter::stringToByteArray( *vPtrIn, buf, maxLength );
-  
+
   assert( res > 0 );
   assert( res == vPtrIn->length()+INTSIZE );
-  
+
   return res;
+}
+
+int SynchronizeableString::getSize()
+{
+   return vPtrIn->length()+INTSIZE;
 }
 
@@ -62,9 +68,9 @@
 {
   std::string oldVal = *vPtrOut;
-      
+
   int res = Converter::byteArrayToString( buf, *vPtrOut, maxLength );
-  
+
   setHasChanged( oldVal != *vPtrOut );
-  
+
   if ( res < 0 )
   {
@@ -72,5 +78,5 @@
   }
   assert( res > 0 );
-  
+
   return res;
 }
@@ -94,9 +100,9 @@
 {
   std::string t;
-  
+
   int res = Converter::byteArrayToString( buf, t, maxLength );
-  
+
   assert( res > 0 );
-  
+
   return res;
 }
Index: branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_string.h
===================================================================
--- branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_string.h	(revision 9385)
+++ branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_string.h	(revision 9386)
@@ -4,9 +4,8 @@
 */
 
-#include "synchronizeable_var/synchronizeable_var.h"
-#include "converter.h"
-
 #ifndef _SYNCHRONIZEABLE_STRING_H
 #define _SYNCHRONIZEABLE_STRING_H
+
+#include "synchronizeable_var.h"
 
 #include <string>
@@ -17,9 +16,9 @@
     SynchronizeableString( std::string * ptrIn, std::string * ptrOut, std::string name, int permission = PERMISSION_MASTER_SERVER, int priority = 0 );
     virtual ~SynchronizeableString();
-    
+
     virtual int writeToBuf( byte * buf, int maxLength );
     virtual int readFromBuf( byte * buf, int maxLength );
-    
-        
+
+
     /**
      * check if writeToBuf will return the same size every time
@@ -27,11 +26,11 @@
      */
     virtual bool hasStaticSize(){ return false; };
-    
-    virtual int getSize(){ return vPtrIn->length()+INTSIZE; }
-    
+
+    virtual int getSize();
+
     virtual int getSizeFromBuf( byte * buf, int maxLength );
-    
+
     virtual void debug();
-    
+
   private:
     std::string * vPtrIn;       //!< pointer to data (read)
Index: branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_uint.h
===================================================================
--- branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_uint.h	(revision 9385)
+++ branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_uint.h	(revision 9386)
@@ -4,8 +4,9 @@
 */
 
-#include "synchronizeable_var/synchronizeable_int.h"
 
 #ifndef _SYNCHRONIZEABLE_UINT_H
 #define _SYNCHRONIZEABLE_UINT_H
+
+#include "synchronizeable_int.h"
 
 class SynchronizeableUInt : public SynchronizeableInt {
@@ -14,5 +15,5 @@
     SynchronizeableUInt( unsigned int * ptrIn, unsigned int * ptrOut, std::string name, int permission = PERMISSION_MASTER_SERVER, int priority = 0 );
     virtual ~SynchronizeableUInt();
-    
+
     virtual void debug();
 
Index: branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_var.cc
===================================================================
--- branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_var.cc	(revision 9385)
+++ branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_var.cc	(revision 9386)
@@ -16,5 +16,6 @@
 
 #include "synchronizeable_var.h"
-
+#include "netdefs.h"
+#include <cassert>
 
 
Index: branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_var.h
===================================================================
--- branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_var.h	(revision 9385)
+++ branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_var.h	(revision 9386)
@@ -7,7 +7,6 @@
 #define _SYNCHRONIZEABLE_VAR_H
 
+#include "net_types.h"
 #include <string>
-#include "netdefs.h"
-#include <assert.h>
 
 enum {
Index: branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_vector.cc
===================================================================
--- branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_vector.cc	(revision 9385)
+++ branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_vector.cc	(revision 9386)
@@ -17,4 +17,5 @@
 #include "synchronizeable_vector.h"
 #include "converter.h"
+#include <cassert>
 
 
@@ -79,5 +80,5 @@
   int res;
   int n = 0;
-  
+
   Vector oldVec = *vPtrOut;
 
@@ -95,5 +96,5 @@
 
   *vPtrOut = Vector( x, y, z );
-  
+
   setHasChanged( !(*vPtrOut == oldVec) );
 
Index: branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_vector.h
===================================================================
--- branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_vector.h	(revision 9385)
+++ branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_vector.h	(revision 9386)
@@ -4,8 +4,8 @@
 */
 
-#include "synchronizeable_var/synchronizeable_var.h"
-
 #ifndef _SYNCHRONIZEABLE_VECTOR_H
 #define _SYNCHRONIZEABLE_VECTOR_H
+
+#include "synchronizeable_var.h"
 
 #include "vector.h"
@@ -16,8 +16,8 @@
     SynchronizeableVector( Vector * ptrIn, Vector * ptrOut, std::string name, int permission = PERMISSION_MASTER_SERVER, int priority = 0 );
     virtual ~SynchronizeableVector();
-    
+
     virtual int writeToBuf( byte * buf, int maxLength );
     virtual int readFromBuf( byte * buf, int maxLength );
-    
+
     /**
      * check if writeToBuf will return the same size every time
@@ -25,7 +25,7 @@
      */
     virtual bool hasStaticSize(){ return true; }
-    
+
     virtual void debug();
-    
+
   private:
     Vector * vPtrIn;       //!< pointer to data (read)
Index: branches/proxy/src/lib/particles/particle_system.cc
===================================================================
--- branches/proxy/src/lib/particles/particle_system.cc	(revision 9385)
+++ branches/proxy/src/lib/particles/particle_system.cc	(revision 9386)
@@ -460,5 +460,5 @@
     int i = 1;
     Particle* tmpPart = this->deadList;
-    while (tmpPart = tmpPart->next) { ++i; }
+    while ((tmpPart = tmpPart->next) != NULL) { ++i; }
     PRINT(0)("count: %d\n", i);
   }