Index: /branches/proxy/src/lib/network/Makefile.am
===================================================================
--- /branches/proxy/src/lib/network/Makefile.am	(revision 9392)
+++ /branches/proxy/src/lib/network/Makefile.am	(revision 9393)
@@ -49,5 +49,7 @@
 noinst_HEADERS = \
 		netdefs.h \
-		net_types.h \
+		nettypes.h \
+		netincl.h \
+		\
 		synchronizeable.h \
                 network_manager.h \
Index: /branches/proxy/src/lib/network/ip.h
===================================================================
--- /branches/proxy/src/lib/network/ip.h	(revision 9392)
+++ /branches/proxy/src/lib/network/ip.h	(revision 9393)
@@ -10,5 +10,5 @@
 #define __IP_H__
 
-#include "netdefs.h"
+#include "netincl.h"
 #include <string>
 
Index: anches/proxy/src/lib/network/net_types.h
===================================================================
--- /branches/proxy/src/lib/network/net_types.h	(revision 9392)
+++ 	(revision )
@@ -1,7 +1,0 @@
-
-#ifndef __NET_TYPES_H_
-#define __NET_TYPES_H_
-
-typedef unsigned char byte;
-
-#endif /* __NET_TYPES_H */
Index: /branches/proxy/src/lib/network/netdefs.h
===================================================================
--- /branches/proxy/src/lib/network/netdefs.h	(revision 9392)
+++ /branches/proxy/src/lib/network/netdefs.h	(revision 9393)
@@ -25,12 +25,6 @@
 #define _NETDEFS_H
 
-#include "net_types.h"
-
-#ifdef HAVE_SDL_NET_H
-  #include <SDL_net.h>
-#else
-  #include <SDL/SDL_net.h>
-#endif
-
+#include "nettypes.h"
+#include "netincl.h"
 
 
Index: /branches/proxy/src/lib/network/netincl.h
===================================================================
--- /branches/proxy/src/lib/network/netincl.h	(revision 9393)
+++ /branches/proxy/src/lib/network/netincl.h	(revision 9393)
@@ -0,0 +1,12 @@
+
+#ifndef _NETINCL_H
+#define _NETINCL_H
+
+#ifdef HAVE_SDL_NET_H
+#include <SDL_net.h>
+#else
+#include <SDL/SDL_net.h>
+#endif
+
+
+#endif /* _NETINCL_H */
Index: /branches/proxy/src/lib/network/nettypes.h
===================================================================
--- /branches/proxy/src/lib/network/nettypes.h	(revision 9393)
+++ /branches/proxy/src/lib/network/nettypes.h	(revision 9393)
@@ -0,0 +1,7 @@
+
+#ifndef __NET_TYPES_H_
+#define __NET_TYPES_H_
+
+typedef unsigned char byte;
+
+#endif /* __NET_TYPES_H */
Index: /branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_var.h
===================================================================
--- /branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_var.h	(revision 9392)
+++ /branches/proxy/src/lib/network/synchronizeable_var/synchronizeable_var.h	(revision 9393)
@@ -7,5 +7,5 @@
 #define _SYNCHRONIZEABLE_VAR_H
 
-#include "net_types.h"
+#include "nettypes.h"
 #include <string>
 
Index: /branches/proxy/src/lib/util/filesys/net_link.cc
===================================================================
--- /branches/proxy/src/lib/util/filesys/net_link.cc	(revision 9393)
+++ /branches/proxy/src/lib/util/filesys/net_link.cc	(revision 9393)
@@ -0,0 +1,36 @@
+
+
+#include "net_link.h"
+
+
+#include "threading.h"
+void SimpleGameMenu::execURL() const
+{
+  std::string URL = "http://www.orxonox.net";
+  SDL_CreateThread(startURL, (void*)&URL);
+}
+
+#ifdef __OSX__
+#include <ApplicationServices/ApplicationServices.h>
+#elif defined __WIN32__
+//#include <shellapi.h>
+#endif
+
+int SimpleGameMenu::startURL(void* url)
+{
+  std::string URL = *(std::string*)url;
+#ifdef __linux__
+  system ((std::string("firefox ") + URL).c_str());
+#elif defined __OSX__
+  CFURLRef url_handle = CFURLCreateWithBytes (NULL, (UInt8 *)URL.c_str(), URL.size(),
+                                              kCFStringEncodingASCII, NULL);
+  LSOpenCFURLRef (url_handle, NULL);
+  CFRelease (url_handle);
+#elif defined __WIN32__
+  /*  ShellExecute(GetActiveWindow(),
+               "open", URL.c_str(), NULL, NULL, SW_SHOWNORMAL);
+}*/
+#endif
+  PRINTF(3)("loaded external webpage %s\n", URL.c_str());
+}
+
Index: /branches/proxy/src/lib/util/filesys/net_link.h
===================================================================
--- /branches/proxy/src/lib/util/filesys/net_link.h	(revision 9393)
+++ /branches/proxy/src/lib/util/filesys/net_link.h	(revision 9393)
@@ -0,0 +1,32 @@
+
+#ifndef __NET_LINK_H__
+#define __NET_LINK_H__
+
+#include <string>
+#include <list>
+
+class NetLink
+{
+public:
+  NetLink(const std::string& );
+
+  void execURL() const;
+  int startURL(void* url);
+
+
+  static void setDefaultBrowser(const std::string& browserName);
+  static const std::string& defaultBrowser();
+
+private:
+  static void buildBrowserList();
+
+
+private:
+  std::string                    _link;
+
+  // static lists.
+  static std::string              _browser;
+  static std::list<std::string>   _browserList;
+};
+
+#endif /** __NET_LINK_H__ */