Index: branches/terrain/src/lib/util/byte_order.h
===================================================================
--- branches/terrain/src/lib/util/byte_order.h	(revision 9414)
+++ branches/terrain/src/lib/util/byte_order.h	(revision 9415)
@@ -15,5 +15,5 @@
 #else
 #define NATIVE_BYTEORDER BigEndian
-#endif	
+#endif
 
 
Index: branches/terrain/src/lib/util/filesys/binary_file.cc
===================================================================
--- branches/terrain/src/lib/util/filesys/binary_file.cc	(revision 9414)
+++ branches/terrain/src/lib/util/filesys/binary_file.cc	(revision 9415)
@@ -46,5 +46,5 @@
 					delete chunk;
 					return NULL;
-				}	
+				}
 				break;
 			default:
@@ -64,7 +64,7 @@
 			case 's':
 				chunk->chunks[currChunk] = new DataSemantics();
-				chunk->chunks[currChunk]->isTerminal = true;	
+				chunk->chunks[currChunk]->isTerminal = true;
 				chunk->chunks[currChunk]->type = bytesize( *curr );
-				chunk->chunks[currChunk]->totalSize = bytesize( *curr );						
+				chunk->chunks[currChunk]->totalSize = bytesize( *curr );
 				currChunk++;
 				break;
@@ -89,5 +89,5 @@
 				*cp = '\0';
 				chunk->chunks[currChunk] = compileSemantics( tmp );
-				currChunk++;					
+				currChunk++;
 				break;
 			case ')':
@@ -111,9 +111,9 @@
 					delete[] tmp; delete chunk;
 					return NULL;
-				}				
+				}
 				if ( currChunk ) {
 					chunk->chunks[currChunk-1]->quantifier = quantifier;
-					chunk->chunks[currChunk-1]->totalSize*= quantifier;					
-				}	
+					chunk->chunks[currChunk-1]->totalSize*= quantifier;
+				}
 				else {
 					printf( "Syntax error: Quantifier without a preceding type\n" );
@@ -141,5 +141,5 @@
 		switch( _comp->type ) {
 			case TT_INT:
-				iptr = (int*)ptr;			
+				iptr = (int*)ptr;
 				for ( int i = 0; i < _comp->quantifier; ++i ) {
 					swap32( iptr );
@@ -152,5 +152,5 @@
 					swap16( sptr );
 					sptr++;
-				}			
+				}
 				break;
 			case TT_BYTE:
@@ -163,35 +163,35 @@
 				convert_data( _comp->chunks[i], ptr );
 				ptr+= _comp->chunks[i]->totalSize;
-			}			
-		}
-
-	}	
-}
-void BinaryFile::read( const char *_semantics, int _chunks, 
+			}
+		}
+
+	}
+}
+void BinaryFile::read( const char *_semantics, int _chunks,
 	void* _buf, size_t& _bytesRead )
 {
-	pDataSemantics comp = compileSemantics( _semantics );		
+	pDataSemantics comp = compileSemantics( _semantics );
 	fread( _buf, comp->totalSize, _chunks, this->handle() );
 	if ( byteorder != NATIVE_BYTEORDER ) {
 		for ( int i = 0; i < _chunks; ++i ) {
 			convert_data( comp, (char*)_buf+i*comp->totalSize );
-		}	
-	}	
+		}
+	}
 	_bytesRead = comp->totalSize*_chunks;
-	delete comp;	
-}
-void BinaryFile::read( const char *_semantics, 
+	delete comp;
+}
+void BinaryFile::read( const char *_semantics,
 	void* _buf, size_t& _bytesRead )
 {
-	pDataSemantics comp = compileSemantics( _semantics );		
+	pDataSemantics comp = compileSemantics( _semantics );
 	fread( _buf, comp->totalSize, 1, this->handle() );
-	
+
 	if ( byteorder != NATIVE_BYTEORDER ) {
 		convert_data( comp, _buf );
-	}	
-	delete comp;		
-}
-
-void BinaryFile::write( const char *_semantics, 
+	}
+	delete comp;
+}
+
+void BinaryFile::write( const char *_semantics,
 	void* _buf, size_t& _bytesWritten )
 {
@@ -199,5 +199,5 @@
 	if ( byteorder != NATIVE_BYTEORDER ) {
 		convert_data( comp, _buf );
-	}	
+	}
 	_bytesWritten = comp->totalSize;
 	fwrite( _buf, comp->totalSize, 1, this->handle() );
Index: branches/terrain/src/lib/util/filesys/binary_file.h
===================================================================
--- branches/terrain/src/lib/util/filesys/binary_file.h	(revision 9414)
+++ branches/terrain/src/lib/util/filesys/binary_file.h	(revision 9415)
@@ -22,9 +22,9 @@
 	}
 
-	~DataSemantics() 
+	~DataSemantics()
 	{
 		delete[] chunks;
 	}
-	
+
 	int 			totalSize;
 	int 			quantifier;
@@ -33,6 +33,6 @@
 	union {
 		int				type;
-		DataSemantics	**chunks; 
-	};	
+		DataSemantics	**chunks;
+	};
 };
 
@@ -40,20 +40,20 @@
 
 class BinaryFile : public File {
-	public:		
+	public:
 		BinaryFile()
 			: 	File( "" ),
 				byteorder( NATIVE_BYTEORDER )
 		{ /* nothing to be done */ }
-		
+
 		BinaryFile( const std::string& _file )
-			: 	File( _file ), 
+			: 	File( _file ),
 				byteorder( NATIVE_BYTEORDER )
 		{ /* nothing to be done */ }
 
 		BinaryFile( const BinaryFile& _file )
-			: 	File( _file.name() ), 
+			: 	File( _file.name() ),
 				byteorder( _file.getByteorder() )
 		{ /* nothing to be done */ }
-		
+
 		/**
 		 * Reads a chunk of data based on the _semantics string. The string contains
@@ -70,11 +70,11 @@
 		 */
 		void read( const char *_semantics, void* _buf, size_t& _bytesRead );
-		
+
 		/**
 		 * The same as the read above, but with the ability to read multiple
-		 * chunks once. Very useful if you don't know how many chunks you're 
+		 * chunks once. Very useful if you don't know how many chunks you're
 		 * going to read at compile time.
 		 */
-		void read( const char *_semantics, int _chunks, 
+		void read( const char *_semantics, int _chunks,
 			void* _buf, size_t& _bytesRead );
 		/**
@@ -93,7 +93,7 @@
 		 * in the middle of reading a file. You're totally on your own.
 		 */
-		inline void setByteorder( ByteOrder _order ) 
+		inline void setByteorder( ByteOrder _order )
 		{ byteorder = _order; }
-		
+
 		/**
 		 * Returns the file's byte-order.
@@ -101,7 +101,7 @@
 		inline ByteOrder getByteorder() const
 		{ return byteorder; }
-		
+
 	private:
-		pDataSemantics compileSemantics( const char *_semantics );	
+		pDataSemantics compileSemantics( const char *_semantics );
 		ByteOrder 		byteorder;
 };